<template>
  <section class="search">
    <label
      class="icon icon-search search_mobile"
      for="search_checkbox_2"
    ></label>
    <input
      id="search_checkbox_2"
      type="checkbox"
      name="search_checkbox_2"
      class="search_checkbox"
    />
    <form id="form-search" class="form" :action="searchResultUrl" method="get">
      <div class="search_icon icon icon-search">
        <input
          id="search_submit_2"
          type="submit"
          name="search_submit_2"
          class="search_submit"
        />
      </div>
      <input
        id="search-input"
        v-model="searchStr"
        name="term"
        autocomplete="off"
        class="search-input"
        type="text"
        :placeholder="$t('header.search')"
      />
    </form>
  </section>
</template>

<script>
export default {
  name: 'Search',
  props: {
    lang: {
      type: String,
      required: true
    },
    abo: {
      type: Boolean,
      required: true
    }
  },
  data() {
    return {
      searchStr: ''
    }
  },
  computed: {
    searchResultUrl() {
      const path = this.lang === 'fr' ? 'recherche-resultat' : 'search-result'
      return `${this.host}/${this.lang}${this.abo ? '/abo' : ''}/${path}`
    },
    host() {
      return this.$config.izneoUrl
    }
  }
}
</script>

<style lang="scss">
.search {
  padding: 0px 22px;
  //vertical-align: middle;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  flex-wrap: nowrap;

  form {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    flex-wrap: nowrap;
  }

  .icon {
    @include font-size(20);
    vertical-align: middle;
    cursor: pointer;
  }
  &_icon {
    position: relative;
    height: 25px;
    margin-right: 10px;
    overflow: hidden;
    input {
      position: absolute;
      top: 0;
      left: 0;
      opacity: 0;
      z-index: 20;
      cursor: pointer;
    }
  }

  input {
    vertical-align: middle;
    &.search_checkbox {
      display: none;
      & ~ .search_input {
        // width: 0;
        width: 200px;
        margin-left: 10px;
        @include transition(all 0.2s ease);
        @include screen-size(xl) {
          width: 200px;
          margin-left: 10px;
        }
      }
      // &:checked ~ {
      // 	.search_input {
      // 		width: 200px;
      // 		margin-left: 10px;
      // 	}
      // }
    }
  }
}

.site-content {
  .search {
    background: #efefef;
    height: 60px;
    input.search_input {
      width: 300px;
      background: #efefef;
    }
  }
}

.is-subscribed {
  .site-header .search {
    input {
      background: transparent;
      color: $color-white;
      @include placeholderColor($color-white);
    }
  }
}
</style>
